shacal2.h File Reference

Classes for the SHACAL-2 block cipher. More...

Go to the source code of this file.

## Classes

struct | SHACAL2_Info
| SHACAL2 block cipher information. More...
class | SHACAL2
| SHACAL2 block cipher. More...

## Typedefs

typedef SHACAL2::Encryption | SHACAL2Encryption
typedef SHACAL2::Decryption | SHACAL2Decryption

## Detailed Description

Classes for the SHACAL-2 block cipher.

Since
  Crypto++ 5.2, Intel SHA since Crypto++ 6.0

Definition in file shacal2.h.

## Typedef Documentation

## SHACAL2Encryption

typedef SHACAL2::Encryption SHACAL2Encryption

Definition at line 61 of file shacal2.h.

## SHACAL2Decryption

typedef SHACAL2::Decryption SHACAL2Decryption

Definition at line 62 of file shacal2.h.